Subject: [Pce] New I-D on PCE as a central controller

From: "Adrian Farrel" <[email-masked]>
Date: Fri, 6 May 2016 15:24:02 +0100

Hi,

The idea of a "PCE-based central controller" has been bouncing around between
PCE and TEAS for a bit. There have been plenty of use cases proposed and some
protocol extension work.

In Buenos Aires a group of us got together to try to work out where all this was
going and how to structure the work to get more progress especially on the bits
that some people are very keen to advance quickly.

The result is this architecture document which we are targeting at TEAS.
Originally intended to be very short and simple it has already grown a bit, but
it is still a manageable read. Our idea is that the different use cases will
result in a variety of distinct protocol extensions to PCEP that can be handled
in separate documents in the PCE working group . This will allow different
people to support different use cases and work on them at their own speed.

Discussion is encouraged (architecture discussion on the TEAS list, I think)

Adrian (per pro "the team")

> -----Original Message-----
> From: I-D-Announce [mailto:[email-masked]] On Behalf Of
> [email-masked]
> Sent: 06 May 2016 15:16
> To: [email-masked]
> Subject: I-D Action: draft-zhao-teas-pce-control-function-00.txt
> 
> 
> A New Internet-Draft is available from the on-line Internet-Drafts
directories.
> 
> 
>         Title           : An Architecture for Use of PCE and PCEP in a Network
with Central
> Control
>         Authors         : Adrian Farrel
>                           Quintin Zhao
>                           Robin Li
>                           Chao Zhou
> 	Filename        : draft-zhao-teas-pce-control-function-00.txt
> 	Pages           : 21
> 	Date            : 2016-05-06
> 
> Abstract:
>    The Path Computation Element (PCE) has become established as a core
>    component of Software Defined Networking (SDN) systems.  It can
>    compute optimal paths for traffic across a network for any definition
>    of "optimal" and can also monitor changes in resource availability
>    and traffic demands to update the paths.
> 
>    Conventionally, the PCE has been used to derive paths for MPLS Label
>    Switched Paths (LSPs).  These paths are supplied using the Path
>    Computation Element Communication Protocol (PCEP) to the head end of
>    the LSP for signaling in the MPLS network.
> 
>    SDN has a far broader applicability than just signaled MPLS traffic
>    engineered networks, and the PCE may be used to determine paths in a
>    wide range of use cases including static LSPs, segment routing,
>    service function chaining (SFC), and indeed any form of routed or
>    switched network.  It is, therefore reasonable to consider PCEP as a
>    general southbound control protocol for use in these environments to
>    allow the PCE to be fully enabled as a central controller.
> 
>    This document briefly introduces the architecture for PCE as a
>    central controller, examines the motivations and applicability for
>    PCEP as a southbound interface, and introduces the implications for
>    the protocol.  This document does not describe the use cases in
>    detail and does not define protocol extensions: that work is left for
>    other documents.
> 
> 
> The IETF datatracker status page for this draft is:
> https://datatracker.ietf.org/doc/draft-zhao-teas-pce-control-function/
> 
> There's also a htmlized version available at:
> https://tools.ietf.org/html/draft-zhao-teas-pce-control-function-00
> 
> 
> Please note that it may take a couple of minutes from the time of submission
> until the htmlized version and diff are available at tools.ietf.org.
> 
> Internet-Drafts are also available by anonymous FTP at:
> ftp://ftp.ietf.org/internet-drafts/
> 
> _______________________________________________
> I-D-Announce mailing list
> [email-masked]
> https://www.ietf.org/mailman/listinfo/i-d-announce
> Internet-Draft directories: http://www.ietf.org/shadow.html
> or ftp://ftp.ietf.org/ietf/1shadow-sites.txt